commit:     58dac6481c32b92688e89233c0a4b10327db4a5a
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 25 09:05:58 2016 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sun Dec 25 22:03:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=58dac648

net-libs/xrootd: version bump

- version bump to 4.5.0;
- add USE=rbd for Ceph's Rados Block Device support;
- sort cmake args.

Package-Manager: portage-2.3.3
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>

 net-libs/xrootd/Manifest            |  1 +
 net-libs/xrootd/metadata.xml        |  1 +
 net-libs/xrootd/xrootd-4.5.0.ebuild | 79 +++++++++++++++++++++++++++++++++++++
 3 files changed, 81 insertions(+)

diff --git a/net-libs/xrootd/Manifest b/net-libs/xrootd/Manifest
index f33a836..217daf8 100644
--- a/net-libs/xrootd/Manifest
+++ b/net-libs/xrootd/Manifest
@@ -1,3 +1,4 @@
 DIST xrootd-3.3.6.tar.gz 1836866 SHA256 
06656d919f5296bcf49953e97b1f3d1cf601c9a1d676945529032fa0046d7217 SHA512 
87682fbc49ac13e0c98ee72f506c7c23902f983cfdb672f52a041bcd8de3f723d0ce26638d366a74cffbb3e251e69335454da4b9f8dd8e00ae80bb3bfc432572
 WHIRLPOOL 
9da9140743b3679ac49f6ae42e9ae4fd430ababd1bf3a021331b804fbe6c56140c6b36fe7d10113a0efc14283ab934240e3d7dac6b4e94c794e8dc47c9896559
 DIST xrootd-4.1.1.tar.gz 1957303 SHA256 
3e472ec8068adc76f10df8a1bb1c795bb37a0a9936d4a255cc62073eb86c70c4 SHA512 
ad5793b622ef967f69bf4be16b23fd00c9db183c3d0664e1913b82697d663c885499db780acd0d968148af6c33e9dad18fe798093e3fec72b20eba0717f3cc7e
 WHIRLPOOL 
4de2ac56599af17188fe608f95cc10434c22d87d72b534b80865a79f648e20b98908b8703c18259d96ea43fb34a683cb45c19656efcae6b32cb13f58bbc37d2e
 DIST xrootd-4.4.0.tar.gz 2146909 SHA256 
f066e7488390c0bc50938d23f6582fb154466204209ca92681f0aa06340e77c8 SHA512 
3e81285b97b928830538f358daf358538609d1678d5beb23b8c0f8fdda7ad22895cc96ba0aaadf55892b7cba08a60182fee19e27af3225b638cb209a4146bbfa
 WHIRLPOOL 
febb09eb0a18660807e05bf1ae3645bb5969eba7dbe7a764d4efec4883b1c8558dcc6f5577881bc2b37feeb99b77f2dd9d087b22d933a1be186959e8b79f837e
+DIST xrootd-4.5.0.tar.gz 2172752 SHA256 
27a8e4ef1e6bb6bfe076fef50afe474870edd198699d43359ef01de2f446c670 SHA512 
0ffa982b872ac94eae1e26d1ebbb94db46f607fb4b0f1d4a2261a7d34dc7715b67cb7c7beecea300f82578bf4773d18e9b86c55b32dfd65ab2e48f3cbb03f173
 WHIRLPOOL 
0263647475007500b5df1590c6707f2c8025bb8e0970247a8a5674a96bc0fa1c88ed77c3478296df10ef178fe6b233abfebbb2539e0abfa9643f1d5b24c59c75

diff --git a/net-libs/xrootd/metadata.xml b/net-libs/xrootd/metadata.xml
index 2367e12..9ce020c 100644
--- a/net-libs/xrootd/metadata.xml
+++ b/net-libs/xrootd/metadata.xml
@@ -17,5 +17,6 @@
     <flag name="fuse">Enable the <pkg>sys-fs/fuse</pkg> filesystem 
driver</flag>
     <flag name="http">Enable http protocol support</flag>
     <flag name="libevent">Use <pkg>dev-libs/libevent</pkg> for event 
handling</flag>
+    <flag name="rbd">Enable rados block device support via 
<pkg>sys-cluster/ceph</pkg></flag>
   </use>
 </pkgmetadata>

diff --git a/net-libs/xrootd/xrootd-4.5.0.ebuild 
b/net-libs/xrootd/xrootd-4.5.0.ebuild
new file mode 100644
index 00000000..c7f7625
--- /dev/null
+++ b/net-libs/xrootd/xrootd-4.5.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils user
+
+DESCRIPTION="Extended ROOT remote file server"
+HOMEPAGE="http://xrootd.org/";
+SRC_URI="http://xrootd.org/download/v${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc fuse http kerberos readline rbd ssl test"
+
+RDEPEND="
+       !<sci-physics/root-5.32[xrootd]
+       sys-libs/zlib
+       fuse? ( sys-fs/fuse )
+       kerberos? ( virtual/krb5 )
+       rbd? ( sys-cluster/ceph )
+       readline? ( sys-libs/readline:0= )
+       ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen[dot] )
+       test? ( dev-util/cppunit )"
+
+REQUIRED_USE="http? ( kerberos ssl )"
+PATCHES=( "${FILESDIR}"/${PN}-no-werror.patch )
+
+pkg_setup() {
+       enewgroup xrootd
+       enewuser xrootd -1 -1 "${EPREFIX}"/var/spool/xrootd xrootd
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DENABLE_CEPH=$(usex rbd)
+               -DENABLE_CRYPTO=$(usex ssl)
+               -DENABLE_FUSE=$(usex fuse)
+               -DENABLE_HTTP=$(usex http)
+               -DENABLE_KRB5=$(usex kerberos)
+               -DENABLE_PYTHON=OFF # TODO: install python bindings properly
+               -DENABLE_READLINE=$(usex readline)
+               -DENABLE_TESTS=$(usex test)
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+       if use doc; then
+               doxygen Doxyfile || die
+       fi
+}
+
+src_install() {
+       use doc && HTML_DOCS=( doxydoc/html/. )
+       dodoc docs/ReleaseNotes.txt
+       cmake-utils_src_install
+       find "${D}" \( -iname '*.md5' -o -iname '*.map' \) -delete || die
+
+       # base configs
+       insinto /etc/xrootd
+       doins packaging/common/*.cfg
+
+       fowners root:xrootd /etc/xrootd
+       keepdir /var/log/xrootd
+       fowners xrootd:xrootd /var/log/xrootd
+
+       local i
+       for i in cmsd frm_purged frm_xfrd xrootd; do
+               newinitd "${FILESDIR}"/${i}.initd ${i}
+       done
+       # all daemons MUST use single master config file
+       newconfd "${FILESDIR}"/xrootd.confd xrootd
+}

Reply via email to